#ifndef __BLOCK_H_INCLUDED__
#define __BLOCK_H_INCLUDED__

typedef struct _BlockPool *BlockPool;

BlockPool BlockPool_Create(void *buffer, int size);
BlockPool BlockPool_Destroy(BlockPool pool);
void *BlockPool_Allocate(BlockPool pool, int size);
int BlockPool_Free(BlockPool pool, void *p);

#endif
