#ifndef __FILE_H_INCLUDED__
#define __FILE_H_INCLUDED__

#include "file_node.h"

int Dir_GetEntryNumber(FileNode dir);
int Dir_IsEmpty(FileNode dir);
int Dir_ExtendEntry(FileNode dir);
FileNode Dir_GetNode(FileNode dir, int index);
FileNode Dir_SetNode(FileNode dir, int index, FileNode node);
int Dir_GetEntryNumberByType(FileNode dir, file_object_type_t type);
FileNode Dir_SearchNode(FileNode dir, const char *name);
FileNode Dir_InsertNode(FileNode dir, FileNode node);
FileNode Dir_AddNode(FileNode dir, const char *name);
FileNode Dir_ExtractNode(FileNode dir, FileNode node);
FileNode Dir_DelNode(FileNode dir, FileNode delete);

#endif
